package com.hw.mes.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 工厂信息对象 mes_base_factory_info
 * 
 * @author Yinq
 * @date 2024-01-23
 */
public class MesBaseFactoryInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long factoryId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String companyName;

    /** 工厂编号 */
    @Excel(name = "工厂编号")
    private String factoryCode;

    /** 工厂名称 */
    @Excel(name = "工厂名称")
    private String factoryName;

    /** 工厂状态：1-启用；0-停用 */
    @Excel(name = "工厂状态：1-启用；0-停用")
    private String factoryStatus;

    public void setFactoryId(Long factoryId) 
    {
        this.factoryId = factoryId;
    }

    public Long getFactoryId() 
    {
        return factoryId;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setFactoryCode(String factoryCode) 
    {
        this.factoryCode = factoryCode;
    }

    public String getFactoryCode() 
    {
        return factoryCode;
    }
    public void setFactoryName(String factoryName) 
    {
        this.factoryName = factoryName;
    }

    public String getFactoryName() 
    {
        return factoryName;
    }
    public void setFactoryStatus(String factoryStatus) 
    {
        this.factoryStatus = factoryStatus;
    }

    public String getFactoryStatus() 
    {
        return factoryStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("factoryId", getFactoryId())
            .append("companyName", getCompanyName())
            .append("factoryCode", getFactoryCode())
            .append("factoryName", getFactoryName())
            .append("factoryStatus", getFactoryStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
